- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Protected Member Functions | List of all members
libwps_tools_win::Font Class Reference

a class to convert a DOS© or Windows3© character in unicode More...

`#include <libwps_tools_win.h>`

## Public Types
enum | Type { DOS_850, WIN3_ARABIC, WIN3_BALTIC, WIN3_CEUROPE, WIN3_CYRILLIC, WIN3_GREEK, WIN3_HEBREW, WIN3_TURKISH, WIN3_VIETNAMESE, WIN3_WEUROPE }
| enum Type More...

## Static Public Member Functions
static unsigned long | unicode (unsigned char c, Type type)
| converts a character in unicode, knowing the character and the font type More...
static Type | getWin3Type (std::string &name)
| returns the type of the font using the fontName More...

## Static Protected Member Functions
static unsigned long | unicodeFromCP850 (unsigned char c)
| dos850 to unicode More...
static unsigned long | unicodeFromCP1250 (unsigned char c)
| Windows3© central europe to unicode. More...
static unsigned long | unicodeFromCP1251 (unsigned char c)
| Windows3© cyrillic to unicode. More...
static unsigned long | unicodeFromCP1252 (unsigned char c)
| Windows3© western europe (the default) to unicode. More...
static unsigned long | unicodeFromCP1253 (unsigned char c)
| Windows3© greek to unicode. More...
static unsigned long | unicodeFromCP1254 (unsigned char c)
| Windows3© turkish to unicode. More...
static unsigned long | unicodeFromCP1255 (unsigned char c)
| Windows3© hebrew to unicode. More...
static unsigned long | unicodeFromCP1256 (unsigned char c)
| Windows3© arabic to unicode. More...
static unsigned long | unicodeFromCP1257 (unsigned char c)
| Windows3© baltic to unicode. More...
static unsigned long | unicodeFromCP1258 (unsigned char c)
| Windows3© vietnamese to unicode. More...

## Detailed Description

a class to convert a DOS© or Windows3© character in unicode

## Member Enumeration Documentation

enum libwps_tools_win::Font::Type

enum Type

the knowned DOS© and Windows3© fonts

Enumerator
DOS_850 |
WIN3_ARABIC |
WIN3_BALTIC |
WIN3_CEUROPE |
WIN3_CYRILLIC |
WIN3_GREEK |
WIN3_HEBREW |
WIN3_TURKISH |
WIN3_VIETNAMESE |
WIN3_WEUROPE |

## Member Function Documentation

Font::Type libwps_tools_win::Font::getWin3Type | ( | std::string & | name | ) |
| static

returns the type of the font using the fontName

Parameters

  name | the font name.

Note
  name can be modified to suppress an extension

Referenced by WPS4Text::readFontNames().

static unsigned long libwps_tools_win::Font::unicode | ( | unsigned char | c,
|  | Type | type
| ) |  |
| inline static

converts a character in unicode, knowing the character and the font type

Referenced by WPS4Text::footNotesDataParser(), and WPS4Text::readText().

unsigned long libwps_tools_win::Font::unicodeFromCP1250 | ( | unsigned char | c | ) |
| static protected

Windows3© central europe to unicode.

Take a character in CP1250 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1251 | ( | unsigned char | c | ) |
| static protected

Windows3© cyrillic to unicode.

Take a character in CP1251 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1252 | ( | unsigned char | c | ) |
| static protected

Windows3© western europe (the default) to unicode.

Take a character in CP1252 encoding, convert it Courtesy of glib2 and iconv.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1253 | ( | unsigned char | c | ) |
| static protected

Windows3© greek to unicode.

Take a character in CP1253 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1254 | ( | unsigned char | c | ) |
| static protected

Windows3© turkish to unicode.

Take a character in CP1254 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1255 | ( | unsigned char | c | ) |
| static protected

Windows3© hebrew to unicode.

Take a character in CP1255 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1256 | ( | unsigned char | c | ) |
| static protected

Windows3© arabic to unicode.

Take a character in CP1256 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1257 | ( | unsigned char | c | ) |
| static protected

Windows3© baltic to unicode.

Take a character in CP1257 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP1258 | ( | unsigned char | c | ) |
| static protected

Windows3© vietnamese to unicode.

Take a character in CP1258 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by unicode().

unsigned long libwps_tools_win::Font::unicodeFromCP850 | ( | unsigned char | c | ) |
| static protected

dos850 to unicode

Take a character in CP850 encoding, convert it Courtesy of glib2 and iconv.

Referenced by unicode().

The documentation for this class was generated from the following files:

- libwps_tools_win.h
- libwps_tools_win.cpp